Skip to content

Get Document PDF URL

Request

Get a signed URL to download the PDF version of a document.

Security
bearer
Path
documentIdstring, (uuid)required
Example:3fa85f64-5717-4562-b3fc-2c963f66afa6
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
GET
/api/v1/patient-registry/document/{documentId}/pdf
curl -i -X GET \
  https://partner.xcures.com/api/v1/patient-registry/document/3fa85f64-5717-4562-b3fc-2c963f66afa6/pdf \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
fileNamestringrequired

The name of the PDF file.

signedUrlstringrequired

A signed URL to download the PDF. Valid for 15 minutes.

Response
{ "fileName": "string", "signedUrl": "string" }